ALTER TABLE INSURANCE
ADD DATE_FROM DATE;

ALTER TABLE INSURANCE 
ADD ACCESS_CONTROL VARCHAR2(1 CHAR);

ALTER TABLE ACCESS_GROUP
ADD VALIDITY_MONTH NUMBER;

DROP VIEW V_INSURANCE;

CREATE OR REPLACE VIEW V_INSURANCE AS (
  SELECT I.ID_INSURANCE, I.ID_LASTNIKA, I.ID_TYPE, I.POLICY_NUMBER, I.COMPANY, I.AMOUNT, I.DATE_FROM, I.EXPIRY_DATE, I."COMMENT", I.ACCESS_CONTROL, I.ACTIVE, IT.DESCRIPTION AS TYPE_DESCRIPTION, 
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END) AS OWNER
  FROM INSURANCE I 
  LEFT OUTER JOIN INSURANCE_TYPE IT ON IT.ID_INSURANCE_TYPE = I.ID_TYPE
  LEFT OUTER JOIN KUPCI KU ON KU.ID = I.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1608, SYSDATE, '5.5', 1528, 'Access control')
;