ALTER TABLE NAJAVE
ADD ID_HASH VARCHAR2(50 CHAR)
;

UPDATE NAJAVE P
SET P.ID_HASH = ORA_HASH (P.ID || SYSTIMESTAMP || SYS_GUID ())
WHERE P.ID_HASH IS NULL
;

CREATE OR REPLACE
TRIGGER NAJAVE_ID_HASH_TRG
BEFORE INSERT OR UPDATE
ON NAJAVE
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
   ID_HASH VARCHAR2(50);;
BEGIN
	IF (:NEW.ID_HASH IS NULL) THEN
      SELECT ORA_HASH (:NEW.ID || SYSTIMESTAMP || SYS_GUID ()) INTO ID_HASH FROM DUAL;;
      :NEW.ID_HASH := (CASE WHEN LENGTH(ID_HASH) < 50 THEN LPAD(ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(ID_HASH) END);;
	END IF;;
END;;
;

INSERT INTO NNWEB_PAGE_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('CLB', 'Cancel Launch my Boat action success', 'Cancel Launch my Boat action success', 'Y')
;

INSERT INTO NNWEB_PAGE_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('CLF', 'Cancel Launch my Boat confirmation', 'Cancel Launch my Boat confirmation', 'Y')
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2042, SYSDATE, '5.5', 1962, 'Najave')
;